Mandrake Linux Security Advisory : wxPythonGTK (MDKSA-2005:144)

Medium Nessus Plugin ID 19901


The remote Mandrake Linux host is missing one or more security updates.


Wouter Hanegraaff discovered that the TIFF library did not sufficiently validate the 'YCbCr subsampling' value in TIFF image headers. Decoding a malicious image with a zero value resulted in an arithmetic exception, which can cause a program that uses the TIFF library to crash.

wxPythonGTK uses an embedded libtiff source tree, and as such has the same vulnerability.

The updated packages have been rebuilt using the system libraries and should now incorporate all the updates to libjpeg, libpng, libtiff and zlib.


Update the affected packages.

Plugin Details

Severity: Medium

ID: 19901

File Name: mandrake_MDKSA-2005-144.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2005/10/05

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64wxPythonGTK2.5_2, p-cpe:/a:mandriva:linux:lib64wxPythonGTK2.5_2-devel, p-cpe:/a:mandriva:linux:lib64wxPythonGTK2.5_3, p-cpe:/a:mandriva:linux:lib64wxPythonGTK2.5_3-devel, p-cpe:/a:mandriva:linux:libwxPythonGTK2.5_2, p-cpe:/a:mandriva:linux:libwxPythonGTK2.5_2-devel, p-cpe:/a:mandriva:linux:libwxPythonGTK2.5_3, p-cpe:/a:mandriva:linux:libwxPythonGTK2.5_3-devel, p-cpe:/a:mandriva:linux:wxPythonGTK, cpe:/o:mandrakesoft:mandrake_linux:10.1, x-cpe:/o:mandrakesoft:mandrake_linux:le2005

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2005/08/18

Reference Information

CVE: CVE-2005-2452

MDKSA: 2005:144